<?php
/**
 * RSService class file
 * 
 * @author    {author}
 * @copyright {copyright}
 * @package   {package}
 */

/**
 * RSException class
 */
require_once 'RSException.php';
/**
 * deleteReservationResponse class
 */
require_once 'deleteReservationResponse.php';
/**
 * makeReservation class
 */
require_once 'makeReservation.php';
/**
 * secretAuthenticationKey class
 */
require_once 'secretAuthenticationKey.php';
/**
 * confidentialReservationData class
 */
require_once 'confidentialReservationData.php';
/**
 * publicReservationData class
 */
require_once 'publicReservationData.php';
/**
 * data class
 */
require_once 'data.php';
/**
 * getReservation class
 */
require_once 'getReservation.php';
/**
 * secretReservationKey class
 */
require_once 'secretReservationKey.php';
/**
 * ReservervationNotFoundException class
 */
require_once 'ReservervationNotFoundException.php';
/**
 * getReservations class
 */
require_once 'getReservations.php';
/**
 * makeReservationResponse class
 */
require_once 'makeReservationResponse.php';
/**
 * ReservervationConflictException class
 */
require_once 'ReservervationConflictException.php';
/**
 * deleteReservation class
 */
require_once 'deleteReservation.php';
/**
 * getReservationsResponse class
 */
require_once 'getReservationsResponse.php';
/**
 * AuthorizationException class
 */
require_once 'AuthorizationException.php';
/**
 * getReservationResponse class
 */
require_once 'getReservationResponse.php';
/**
 * getConfidentialReservations class
 */
require_once 'getConfidentialReservations.php';
/**
 * getConfidentialReservationsResponse class
 */
require_once 'getConfidentialReservationsResponse.php';

/**
 * RSService class
 * 
 *  
 * 
 * @author    {author}
 * @copyright {copyright}
 * @package   {package}
 */
class RSService extends SoapClient {

  public function RSService($wsdl = "RS.wsdl", $options = array('trace' => 1)) {
    parent::__construct($wsdl, $options);
  }

  /**
   *  
   *
   * @param getReservations $parameters
   * @return getReservationsResponse
   */
  public function getReservations(getReservations $parameters) {
     return $this->__call('getReservations', array(
            new SoapParam($parameters, 'parameters')
      ),
      array(
            'uri' => 'urn:RSService',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param getConfidentialReservations $parameters
   * @return getConfidentialReservationsResponse
   */
  public function getConfidentialReservations(getConfidentialReservations $parameters) {
    return $this->__call('getConfidentialReservations', array(
            new SoapParam($parameters, 'parameters')
      ),
      array(
            'uri' => 'urn:RSService',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param getReservation $parameters
   * @return getReservationResponse
   */
  public function getReservation(getReservation $parameters) {
    return $this->__call('getReservation', array(
            new SoapParam($parameters, 'parameters')
      ),
      array(
            'uri' => 'urn:RSService',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param deleteReservation $parameters
   * @return deleteReservationResponse
   */
  public function deleteReservation(deleteReservation $parameters) {
    return $this->__call('deleteReservation', array(
            new SoapParam($parameters, 'parameters')
      ),
      array(
            'uri' => 'urn:RSService',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param makeReservation $parameters
   * @return makeReservationResponse
   */
  public function makeReservation(makeReservation $parameters) {
    return $this->__call('makeReservation', array(
            new SoapParam($parameters, 'parameters')
      ),
      array(
            'uri' => 'urn:RSService',
            'soapaction' => ''
           )
      );
  }

}

?>
