<?php
/* ****************************************************************** */
/*
 * SNA-Portal mediates between one or more Authentication and Authorisation
 * Infrastructures and non-AAI-enabled roles.
 * Copyright (C) 2003  Swiss Virtual Campus (http://www.swissvirtualcampus.ch) 
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 * $Id: logout.php,v 1.11 2005/02/26 11:17:29 vlry Exp $
 */
/* ****************************************************************** */

/**
 * This is the logout page for the administrator part of the
 * AAI portal .
 *
 * <b>Request Parameters</b>
 * <ul>
 *   <li>url=<url>: OPTIONAL. If present, the user is redirected to
 *     <url> after being logged out. 
 *    </li>
 *  </ul>
 *
 *
 * @version $Revision: 1.11 $
 * @package AdminPortal
 */
 /**
 */



// bootstrap application 
//
require_once("include/application.inc");
require_once("lookandfeel/current/lf-specific-functions.inc");

//
// destroy the session
//
Session::destroy();

// redirect 
if (isset($_REQUEST["url"])) {
  header('Location: ' . $_REQUEST["url"]);
  exit;
}
?>
<html>
<head>
<link rel="stylesheet" href="<?= lf_get_admin_style_sheet_url() ?>" type="text/css">
</head>
<body>
<div align="center" style="margin-top: 2cm">
  <table width="40%" border="0" cellspacing="0" class="data-table">
    <tr>
      <th class="data" width="40%" valign="top">Logout </th>
    </tr>  
    <tr>
      <td width="30%" valign="top" class="data-odd last" align="center" style="padding-top: 10; padding-bottom: 10pt">
      You are logged out. <a href="<?= PORTAL_BASE_URL ?>/admin.php">Login</a> again ?
      </td>
    </tr>
  </table>
</div>
</body>
</html>
