<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<?php
/* ****************************************************************** */
/*
 * SNA-Portal mediates between one or more Authentication and Authorisation
 * Infrastructures and non-AAI-enabled roles.
 * Copyright (C) 2003  Swiss Virtual Campus (http://www.swissvirtualcampus.ch) 
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 * $Id: header.inc,v 1.3 2006/09/06 16:10:26 vlry Exp $
 */
/* ****************************************************************** */

?>
<?php
/* ********************************************************************** */
/*                          includes                                      */
/* ********************************************************************** */
require_once("include/application.inc");
require_once("lookandfeel/current/lf-specific-functions.inc");
I18N::loadMessageBundle("lookandfeel/header");
?>
<?php
/* ********************************************************************** */
/*                          content                                       */
/* ********************************************************************** */
?>
<html>
<head>
<title><?= I18N::getMessage("header.html-title") ?></title>
<link rel="stylesheet" href="<?= lf_get_user_style_sheet_url() ?>" type="text/css">
</head>

<body>
<!-- ***************** page header ******************  -->
<table width="100%" border="0" cellspacing="0" class="ph">
<tr>
  <td class="ph-app-name" align="left"><?= I18N::getMessage("header.header-title") ?> <?= SNA_PORTAL_VERSION ?></td>
  <td class="ph-user-name" align="right"><?= I18N::getMessage("header.user") ?> <?= lf_get_user_name() ?> </td>
</tr>
</table>
<!-- ***************** / page header ******************  -->


<table width="100%" height="100%" border="0" cellspacing="0" class="main">
<tr>
  <td width="180" valign="top" class="menu">
  

  <!-- **************** menu table ******************* -->
  <table width="100%" border="0" cellspacing="0" class="menu" height="100%" >
  <tr>
    <td class="menu-main-item"><a href="<?= PORTAL_BASE_URL . "/user/start-page.php" ?>"><?= I18N::getMessage("header.menu.home") ?></a></td>
  </tr>
  <tr>
    <td class="menu-main-item"><?= I18N::getMessage("header.menu.roles") ?></td>
  </tr>
  <tr>
    <td class="menu-sub-item"><a href="<?= PORTAL_BASE_URL . "/user/my-roles.php" ?>"><?= I18N::getMessage("header.menu.list-my-roles") ?></a></td>
  </tr>
  <tr>
    <td class="menu-sub-item"><a href="<?= PORTAL_BASE_URL . "/user/waitinglist.php" ?>"><?= I18N::getMessage("header.menu.list-pending-subscriptions") ?></a></td>
  </tr>

  <tr>
    <td class="menu-sub-item"><a href="<?= PORTAL_BASE_URL . "/user/all-roles.php" ?>"><?= I18N::getMessage("header.menu.list-all-roles") ?></a></td>
  </tr>
  
  <tr>
    <td class="menu-main-item"><?= I18N::getMessage("header.menu.profile") ?></td>
  </tr>
  <tr>
    <td class="menu-sub-item"><a href="<?= PORTAL_BASE_URL . "/user/change-profile.php" ?>"><?= I18N::getMessage("header.menu.change-profile") ?></a></td>
  </tr>
 <tr>
    <td class="menu-sub-item"><a href="<?= PORTAL_BASE_URL . "/user/change-language.php" ?>"><?= I18N::getMessage("header.menu.change-language") ?></a></td>
  </tr>
  <tr>
    <td class="menu-main-item"><a href="<?= PORTAL_BASE_URL ?>/user/logout.php?url=<?= PORTAL_BASE_URL ?>/index.php"><?= I18N::getMessage("header.menu.logout") ?></a></td>    
  </tr>

  <tr>
    <td height="100%" class="menu-filler">
    </td>
  </tr>
  </table>
  <!-- *************************** / menu table ************************** -->
  
  </td>
  
  
  <!-- ***************  the content column ****************** -->
  <td width="*" valign="top" class="content">
