#!/usr/bin/perl

use IPC::ShareLite;
use HTTP::Request;
use HTTP::Response;
use Pod::WSDL;
use SOAP::Transport::HTTP;
use Proc::Simple;
use IO::Socket;
use POSIX qw(setsid);
use DateTime::Format::MySQL;
use Date::Parse;
use Date::Manip qw(ParseDate UnixDate);
use SOAP::Data::ComplexType;
use SOAP::DateTime;
use Time::HiRes qw(gettimeofday);
use SOAP::Lite;
use Data::Dumper;
use SOAP::Lite +trace;


     
print "## getIDPList:\n";
print "getIDPListService(): " . getIDPListService()->getIDPList() . "\n";     
     
sub getIDPListService {
   my $driver = SOAP::Lite->service("file:/root/IDPListService/IDPListService.wsdl");
   $driver->uri("urn:IDPListService");
   return $driver;
}


