<?php
/* ****************************************************************** */
/*
 * SNA-Portal mediates between one or more Authentication and Authorisation
 * Infrastructures and non-AAI-enabled roles.
 * Copyright (C) 2003  Swiss Virtual Campus (http://www.swissvirtualcampus.ch)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 * $Id: constants.inc,v 1.22 2005/11/24 16:08:44 vlry Exp $
 */
/* ****************************************************************** */

/**
 * This file provides a collection of global constants.
 *
 * @version $Revision: 1.22 $
 * @package Library
 */
/**
*/

/* 
 *  list of AttributeType IDs 
 */
define("ATID_EDUPERSONUNIQUEID",              0);
define("ATID_SURNAME",                             1);
define("ATID_GIVENNAME",                           2);
define("ATID_EDUPERSONBIRTHDATE",             3);
define("ATID_EDUPERSONGENDER",                4);
define("ATID_PREFERREDLANGUAGE",                   5);
define("ATID_MAIL",                                6);
define("ATID_HOMEPOSTALADDRESS",                   7);
define("ATID_POSTALADDRESS",                       8);
define("ATID_HOMEPHONE",                           9);
define("ATID_TELEPHONENUMBER",                    10);
define("ATID_MOBILETELEPHONENUMBER",              11);
define("ATID_EDUPERSONHOMEORGANIZATION",     12);
define("ATID_EDUPERSONHOMEORGANIZATIONTYPE", 13);
define("ATID_EDUPERSONAFFILIATION",               14);
define("ATID_EDUPERSONSTUDYBRANCH1",         15);
define("ATID_EDUPERSONSTUDYBRANCH2",         16);
define("ATID_EDUPERSONSTUDYBRANCH3",         17);
define("ATID_EDUPERSONSTUDYLEVEL",           18);
define("ATID_EDUPERSONSTAFFCATEGORY",        19);
define("ATID_EDUPERSONORGDN",                20);
define("ATID_EDUPERSONORGUNITDN",            21);
define("ATID_EDUPERSONENTITLEMENT",          22);
define("ATID_LOCALPASSWORD",                      23);

/*
 * List of UserAttributes NAMEs (table column)
 */
define('ATTR_USER_ID',       'user_id');
define('ATTR_USER_UID',      'user_uid');
define('ATTR_COMMONNAME',    'commonName');
define('ATTR_PRIVILEGENAME', 'privilegeName'); 
define('ATTR_SURNAME',       'surname'); 
define('ATTR_GIVENNAME',     'givenName'); 
define('ATTR_EMAIL',         'mail'); 
define('ATTR_PHONE',         'telephoneNumber'); 
define('ATTR_LAST_LOGIN',    'user_last_login'); 


?>
